<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
	<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
 <%@include file="/views/common.jsp"%>
</head>
<style>
.edge .layui-edge{
	right:10px;
}
.layui-form-checkbox[lay-skin=primary] i{
	border-radius: 50px;
	width: 18px;
	height: 18px;
	line-height: 18px;
	margin-top:3px;
}
.layui-form-checkbox[lay-skin=primary] span{
	color:black;
	margin-top:3px;
	font-size: 14px;
}
</style>
<body>
	<div class="big_box">
		<div class="left_div">
			<h1 class="h1">卡片</h1>
			<hr>
			<form  class="layui-form">
				<div class="layui-form-item">
			      	<input type="radio" lay-filter="couponKind" name="couponKind" value="常用种类" title="常规" checked="checked">
			      	<input type="radio" lay-filter="couponKind" name="couponKind" value="少数量" title="少数量"><span style="color:red;position:absolute;top:89px;left:170px;">(少数量卡片类17点前上传系统的隔天发货)</span>
			    </div>
			</form>
			<form class="layui-form" id="kindForm">
				<p>品种</p>
				<div>
					<span class="normal">
						<!-- <input type="radio" lay-filter="kind" name="kind" value="0" title="吊旗"> -->
						<input type="radio" lay-filter="kind" name="kind" value="1" title="腰封">
						<!-- <input type="radio" lay-filter="kind" name="kind" value="2" title="吊牌"> -->
						<input type="radio" lay-filter="kind" name="kind" value="3" title="贺卡">
						<input type="radio" lay-filter="kind" name="kind" value="4" title="优惠券">
						<input type="radio" lay-filter="kind" name="kind" value="5" title="抽奖券">
						<input type="radio" lay-filter="kind" name="kind" value="6" title="特价名片">
						<input type="radio" lay-filter="kind" name="kind" value="7" title="存酒卡">
						<input type="radio" lay-filter="kind" name="kind" value="8" title="门挂牌">
					</span>
					<span class="lessCount" style="display:none">
						<input type="radio" lay-filter="kind" name="kind" value="直角卡片" title="直角卡片">
						<input type="radio" lay-filter="kind" name="kind" value="异形卡片" title="异形卡片">
						<input type="radio" lay-filter="kind" name="kind" value="腰封" title="腰封">
						<input type="radio" lay-filter="kind" name="kind" value="贺卡" title="贺卡">
						<input type="radio" lay-filter="kind" name="kind" value="积分卡" title="积分卡">
						<input type="radio" lay-filter="kind" name="kind" value="抽奖卡" title="抽奖卡">
						<!-- <input type="radio" lay-filter="kind" name="kind" value="婚礼卡" title="婚礼卡"> -->
					</span>
				</div>
				<div id="doorList" style="display: none">
					<%@include file="doorList.jsp"%>
				</div>
			</form>
			<div id="other">
				<form class="layui-form" id="kindValueForm">
					<p>材质</p>
					<div class="kindValue">
						<input type="radio" lay-filter="kindValue" name="kindValue" value="2" title="300克铜版纸">
						<input type="radio" lay-filter="kindValue" name="kindValue" value="1" title="200克铜版纸">
						<input type="radio" class="157" lay-filter="kindValue" name="kindValue" value="0" title="157克铜版纸">
					</div>
					<div class="kindValue2" style="display:none">
						<input type="radio" name="kindValue2" value="2" title="300克铜版纸" checked="checked">
					</div>
					<div class="kindValue3" style="display:none">
						<input type="radio" name="kind3Value" lay-filter="kindValue3" value="3" title="300克铜版纸">
						<input type="radio" name="kind3Value" lay-filter="kindValue3" value="4" title="600克铜版纸">
						<!-- <input type="radio" name="kind3Value" lay-filter="kindValue3" value="5" title="800克铜版纸"> -->
					</div>
					<div class="kindValue4" style="display:none">
						<input type="radio" name="kind4Value" lay-filter="kindValue4" value="3" title="300克铜版纸">
						<input type="radio" name="kind4Value" lay-filter="kindValue4" value="6" title="特种纸名片（不配绳子）">
					</div>
					<div id="tag" style="display: none">
						<%@include file="tag.jsp"%>
					</div>
					<div id="specialCard" style="display: none">
						<%@include file="specialCard.jsp"%>
					</div>
				</form>
				<div class="tagOther">
					<form class="layui-form">
						<input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="4">
						<input type="hidden" name="proTypeLabel" id="proTypeLabel" class="layui-input">
						<input type="hidden" name="d" id="d" class="layui-input">
						<p>
							尺寸(CM/厘米)   <span style="font-size:14px;color:red">输入格式: 长 * 宽</span>
						</p>
						<div class="qt">
							<div class="layui-form-item">
								<input type="text" name="size" placeholder="格式:长*宽"  id="size" class="layui-input" autocomplete="off">
							</div>
						</div>
						<p>
							数量(张) <span class="switchCount"><input type="checkbox" name="switchCount" class="Count" lay-filter="switchCount" title="自定义数量"></span> 
						</p>
						<div class="count">
							<div class="layui-form-item">
								<select name="count" id="selectCount" class="select">
									<option value="200">200</option>
									<option value="500">500</option>
									<option value="1000">1000</option>
									<option value="2000">2000</option>
									<option value="3000">3000</option>
									<option value="5000">5000</option>
									<option value="10000">10000</option>
								</select>
							</div>
						</div>
						<div class="diyCount" style="display: none">
							<div class="layui-form-item">
								<input type="text" name="count" id="count" placeholder="请输入整数" class="layui-input" autocomplete="off">
							</div>
						</div>
						<p>款数</p>
						<div class="layui-form-item">
							<input type="text" name="number" id="number" autocomplete="off"
									class="layui-input" value="1"  lay-verify="number" >
						</div>
						<p>
							客户旺旺
						</p>
						<div class="layui-form-item">
							<input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang" class="layui-input">
						</div>
					</form>
				</div>
				<div class="tagOther normalCountHideCraft">
					<form class="layui-form" id="craftForm">
						<div id="craft">
							<p>
								工艺
							</p>
							<div class="layui-input-block craft">
							     <input type="checkbox" name="craft" class="yh disab max ya cjkDisab" lay-filter="switch" value="压痕" title="压痕">
							     <div class="layui-inline edge yahenHide" style="width:60px; display:none">
								     <select name="yahen" class="select yahen" lay-filter="yahen">
										<option value="1" selected>1</option>
										<option value="2">2</option>
									</select>
								</div>
								<span class="value5">
							      	<input type="checkbox" name="craft" class="ydx disab max ya cjkDisab" lay-filter="switch" value="压点线" title="压点线">
							      </span>
							      <div class="layui-inline edge yadianxianHide" style="width:60px;display:none">
								      <select name="yadianxian" class="select yadianxian" lay-filter="yadianxian">
										<option value="1" selected>1</option>
										<option value="2">2</option>
									</select>
								</div>										
								<span class="value2">
							      	<input type="checkbox" name="craft" class="dk disab max cjkDisab" lay-filter="switch" value="打孔" title="打孔">
								</span>
							     	<div class="layui-inline edge dakongHide" style="width:60px;display:none">
								     <select name="dakong" class="select dakong" lay-filter="dakong">
										<option value="1" selected>1</option>
										<option value="2">2</option>
									</select>
								</div>
								<input type="checkbox" name="craft" class="yj disab max cjkDisab" lay-filter="switch" value="圆角" title="圆角">
							</div>
							<div class="layui-input-block craft tj">
								<input type="checkbox" name="craft" class="tangjin" lay-filter="switch" value="单面烫金" title="单面烫金">
								<input type="checkbox" name="craft" class="tangjin" lay-filter="switch" value="双面烫金" title="双面烫金">
								<span class="sizeTang">
							      	<div class="layui-inline">
							      		<input type="text" placeholder="长边" autocomplete="off" name="lengthTang" id="lengthTang" class="layui-input"  style="width:50px;height:35px;">
									</div>x
							      	<div class="layui-inline">
							      		<input type="text" placeholder="短边" autocomplete="off" name="widthTang" id="widthTang" class="layui-input"  style="width:50px;height:35px;">
									</div>
						      	</span>
							</div>
							<div class="layui-input-block craft value5 value7 dm">
								<input type="checkbox" name="craft" class="disab" lay-filter="switch" value="打码" title="打码">
								<div class="layui-inline edge damaHide" style="width:60px;display:none">
									<select name="dama" class="select dama" lay-filter="dama">
										<option value="1" selected>1</option>
										<option value="2">2</option>
									</select>
								</div>
							    <div class="layui-inline edge bianma"  style="width:120px;display:none">
									<select name="bianma" class="select bianmaSelect" lay-filter="bianma">
										<option value="水平编码" selected>水平编码</option>
										<option value="上下编码">上下编码</option>
									</select>
								</div>
							</div>
							<div class="bmType" style="display:none"><span style="font-size:14px;color:red">打码数量为‘2’时,需要选择打码类型：[水平编码] 或 [上下编码]
							</br>水平编码：价格相同; 上下编码：价格不同</span>
							</div>
							<div class="layui-input-block value7">
								<input type="checkbox" name="craft" class="mq" lay-filter="switchMQ" value="模切" title="异形模切">
							</div>
							<div class="layui-input-block fumo">
								<input type="checkbox" name="craft" class="fm" lay-filter="switch" value="单面覆膜" title="单面覆膜">
							</div>
							<div class="layui-input-block doublefumo">
								<input type="checkbox" name="craft" lay-filter="switch" value="双面覆哑膜" title="双面覆哑膜" checked="checked">
							</div>
						</div>
					</form>
				</div>
				<div class="lessCountHideCraft" style="display:none">
					<form class="layui-form">
						<p>
							工艺
						</p>
						<div class="layui-input-block">
							<input type="radio" name="craftShua" value="单面印刷" title="单面印刷" checked>
			      			<input type="radio" name="craftShua" value="双面印刷" title="双面印刷">
							<span class="zhijiaoCard">
								<input type="checkbox" name="craft" lay-filter="switchCraft" value="直角" title="直角" lay-skin="primary" class="zhijiaoCraft">
							</span>
							<input type="checkbox" name="craft" lay-filter="switchCraft" value="异形" title="异形" lay-skin="primary" class="specialCraft">
						</div>
					</form>
				</div>
				<hr>
			</div>
			<form class="layui-form">
				<div class="layui-form-item">
					<button class="layui-btn" lay-submit="" lay-filter="acount_btn" id="queryCondBtn">计算</button>
					<button type="reset" class="layui-btn layui-btn-primary">重置</button>
				</div>
				<h2>计算结果-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyResult()">点击复制</button></h2>
				<div>
					<textarea rows="13" cols="75"  id="span_result" readonly="readonly"></textarea>
					<%@include file="../acountExpressFee.jsp"%>
				</div>
				<div>
					<table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
				</div>
			</form>
		</div>
		<div class="right_div">
			<div class="layui-carousel" id="test1" >
				<div carousel-item id="carousel"></div>
				<br>
				<div id="remark" style="font-size:20px;color:red"></div>
			</div> 
		</div>
	</div>
</body>
<%@include file="/views/copyResult.jsp"%>
<script>
	layui.use(['table','form','carousel'], function(){    
	    var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
	    var carousel = layui.carousel;
	    var table = layui.table;
	    
	 	// 监听回车键，如果敲了回车，调用点击‘计算’
	    $(document).keydown(function (e) {
	    	if (e.keyCode === 13) {
	    		$("#queryCondBtn").trigger("click");
	    	}
	    });
	 	
	  	//建造实例
        ins = carousel.render({});
	    
     	// 监听count输入框
        $(function(){
        	//输入框的值改变时触发(一边尺寸小于4自动选中模切)
        	$("#size").on("input",function(e){
        		var s = e.delegateTarget.value
        		//获取input输入的值
        		// 选中模切、禁用其他
        		if ((s.split("*")[0] < 4 || s.split("*")[1] < 4)) {
					$(".disab").attr("disabled", true);
        			$('input[class = mq]').prop('checked', true);
    			}else if ((s.split("*")[0] >= 4 || s.split("*")[1] >= 4)) {
    				$(".disab").attr("disabled", false);
    				$('input[class = mq]').prop('checked', false);
    			}
        		form.render('checkbox');
        	});
        });
		var couponKind = ""
		// 选择卡片种类
		form.on('radio(couponKind)', function(couponKindData) {
			// 切换按钮的时候,重置kind品种
			$("#kindForm")[0].reset();
			// 产品种类的值
			couponKind = couponKindData.value
			if (couponKind == '少数量') {
				$('input[class = Count]').prop('checked', false);
				$(".switchCount").hide();
				$(".diyCount").show();
				$(".count").hide();
				$(".diyCount").find(":input").attr("disabled", false);
				$(".count").find(":input").attr("disabled", true);
				$("#selectCount").attr("disabled", true);
				
				// 选择少数量的时候，展示‘少数量’的品种
				$(".lessCount").show();
				$(".lessCount").find(":input").attr("disabled", false);
				$(".normal").hide();
				$(".normal").find(":input").attr("disabled", true);
				form.render();
			} else {
				$(".switchCount").show();
				$(".count").show();
				$(".diyCount").hide();
				$(".count").find(":input").attr("disabled", false);
				$(".diyCount").find(":input").attr("disabled", true);
				$("#selectCount").attr("disabled", false);
				
				// 选择常规的时候，隐藏‘少数量’的品种
				$(".normal").show();
				$(".normal").find(":input").attr("disabled", false);
				$(".lessCount").hide();
				$(".lessCount").find(":input").attr("disabled", true);
				// 恢复标准数量的时候会被禁用，加这个解决
				form.render();
			}
		});

		form.on('radio(kind)', function(data) {
			if(data.value == 8){
				$("#doorList").show();
				$("#doorList").find(":input").attr("disabled", false);
				$("#other").hide();
				$("#other").find(":input").attr("disabled", true);
				$("#specialCard").hide();
				$("#specialCard").find(":input").attr("disabled", true);
			}else{
				$("#other").show();
				$("#other").find(":input").attr("disabled", false);
				$("#doorList").hide();
				$("#doorList").find(":input").attr("disabled", true);
				$("#specialCard").hide();
				$("#specialCard").find(":input").attr("disabled", true);
			}
			// !吊牌 
			if(data.value != 2){
				// 隐藏吊牌600克/800克;显示原本的
				$("#tag").hide();
				$("#tag").find(":input").attr("disabled", true); 
				if(data.value != 8){
					$(".tagOther").show();
					$(".tagOther").find(":input").attr("disabled", false);  
				}
			}else{
				// 切换吊牌的时候，重置材质单选框
				$("#kindValueForm")[0].reset();
			}
			$("#craftForm")[0].reset();
			if (data.value == 0 || data.value == 1) {
				$("#kindValueForm")[0].reset();
				$(".kindValue").show();
				$(".kindValue").attr("disabled", false);
				$(".kindValue2").hide();
				$(".kindValue2").attr("disabled", true);
				$(".kindValue3").hide();
				$(".kindValue3").attr("disabled", true);
				$(".kindValue4").hide();
				$(".kindValue4").attr("disabled", true);
				form.render();
				/*=====选择腰封的时候将工艺隐藏=====*/
				$("#craft").show();
				$(".craft").hide();
				$(".craft").find(":input").attr("disabled", true);
				form.on('radio(kindValue)', function(kindValueData) {
					// 腰封的时候，157克没有【覆膜】工艺
					if(data.value == 1){
						// 腰封的时候，默认选择【单面覆膜】
						$('input[class = fm]').prop('checked', true);
						form.render('checkbox');
						if (kindValueData.value != 0) {
							$('.fm').removeAttr('disabled');
						} else { // 157克的时候禁用覆膜
							$('.fm').prop('disabled', 'disabled');
						}
					}
					// 吊旗、腰封--300克铜版纸的时候勾选模切，且不能取消
					if(data.value == 0){
						/* if (kindValueData.value == 2) { */
							$('input[class = mq]').prop('checked', true);
							form.on('checkbox(switchMQ)', function(switchData) {
								/* if (kindValueData.value == 2) { */
									// 吊旗/吊牌的模切
									if (!switchData.elem.checked) {
										layer.msg('吊旗不能取消 [ 模切 ] 工艺！',{offset : [ '300px', '300px' ]}, function() {});
										$('input[class = mq]').prop('checked', true);
										form.render('checkbox');
									} else {
										kindValueData.value = 1;
									}
								/* } */
								// 模切选中的时候，禁用其它
								if (switchData.elem.checked) {
									$(".disab").attr("disabled", true);
									$('input[class = disab]').prop('checked', false);
								} else if (!switchData.elem.checked) {//放开模切的时候数量变成1
									$(".disab").attr("disabled", false);
									$('input[class = disab]').prop('checked');
									$(".yahen").val(1)
									$(".yadianxian").val(1)
									$(".dakong").val(1)
									form.render('select');
								}
								form.render('checkbox');
							})
					}
					if(data.value == 1){
						if (kindValueData.value == 2) {
							$('input[class = mq]').prop('checked', true);
							form.on('checkbox(switchMQ)', function(switchData) {
								if (kindValueData.value == 2) {
									// 吊旗/吊牌的模切
									if (!switchData.elem.checked) {
										layer.msg('[ 腰封 - 300克铜版纸 ] 不能取消 [ 模切 ] 工艺！',{offset : [ '300px', '300px' ]}, function() {});
										$('input[class = mq]').prop('checked', true);
										form.render('checkbox');
									} else {
										kindValueData.value = 1;
									}
								}
							})
						} else {
							$('input[class = mq]').prop('checked', false);
						}
					}
					form.render('checkbox');
				})
			}else if (data.value == 2) {
				if(couponKind != '少数量'){
					$(".kindValue3").show();
					$(".kindValue3").attr("disabled", false);
					$(".kindValue2").hide();
					$(".kindValue2").attr("disabled", true);
				}else{
					$(".kindValue2").show();
					$(".kindValue2").attr("disabled", false);
					$(".kindValue3").hide();
					$(".kindValue3").attr("disabled", true);
					// 少数量吊牌没有600/800克铜版纸
					$(".tagOther").show();
					$(".tagOther").find(":input").attr("disabled", false);  
					$("#tag").hide();
					$("#tag").find(":input").attr("disabled", true);  
				}
				$(".kindValue").hide();
				$(".kindValue").attr("disabled", true);
				$(".kindValue4").hide();
				$(".kindValue4").attr("disabled", true);
				$("#craft").show();
				$(".craft").show();
				$(".craft").find(":input").attr("disabled", false);
				$('input[class = mq]').prop('checked', false);
			// 特种纸名片
			}else if(data.value == 6){
				$("#kindValueForm")[0].reset();
				$(".kindValue4").show();
				$(".kindValue4").attr("disabled", false);
				$(".kindValue").hide();
				$(".kindValue").attr("disabled", true);
				$(".kindValue2").hide();
				$(".kindValue2").attr("disabled", true);
				$(".kindValue3").hide();
				$(".kindValue3").attr("disabled", true);
				form.render();
			}else {
				$(".kindValue").hide();
				$(".kindValue").attr("disabled", true);
				$(".kindValue3").hide();
				$(".kindValue3").attr("disabled", true);
				$(".kindValue4").hide();
				$(".kindValue4").attr("disabled", true);
				$(".kindValue2").show();
				$("#craft").show();
				$(".craft").show();
				$(".craft").find(":input").attr("disabled", false);
				$('input[class = mq]').prop('checked', false);
				form.render('checkbox');
			}
			
			// 腰封的时候有覆膜
			if(data.value == 1){
				$(".fumo").show();
				$(".fumo").find(":input").attr("disabled", false);
			    $(".doublefumo").hide();
			    $(".doublefumo").find(":input").attr("disabled", true);
			}else{
				$(".doublefumo").show();
				$(".doublefumo").find(":input").attr("disabled", false);
			    $(".fumo").hide();
			    $(".fumo").find(":input").attr("disabled", true);
			}
			
			// 选中吊牌的时候勾选打孔--下拉框也显示
			if(data.value == 2){
				$(".dakongHide").show();
				$(".value2").find(":input").attr("checked", true);
			}else{
				$(".dakongHide").hide();
				$(".value2").find(":input").attr("checked", false);
			}
			// 抽奖券的时候勾选压点线、打码
			if(data.value == 5){
				$(".yadianxianHide").show();
				$(".value5").find(":input").attr("checked", true);
			}else{
				$(".value5").find(":input").attr("checked", false);
				$(".yadianxianHide").hide();
			}
			// 存酒卡的时候勾选打码(下拉框显示)、模切,禁用第一排工艺
			if(data.value == 7){
				$(".value7").find(":input").attr("checked", true);
				$(".damaHide").show();
				$('input[class = mq]').prop('checked', true);
				$('input[class = cjkDisab]').prop('checked', false);
				$(".cjkDisab").attr("disabled", true);
				// 打码勾选--编码类型说明显示
				$(".bmType").show();
				// 切换到存酒卡的时候，把编码隐藏（4/28）
				$(".bianma").hide();
				$(".bianma").find(":input").attr("disabled", true);  
			}else{
				// 打码,模切取消选中
				$(".value7").find(":input").attr("checked", false);
				$(".damaHide").hide();
				// 除‘存酒卡’外，编码类型、类型说明都隐藏
				$(".bianma").hide();
				$(".bianma").find(":input").attr("disabled", true);   
				$(".bmType").hide();
			}
			
			// 腰封、吊牌、贺卡隐藏【打码】工艺
			if(data.value == 1 || data.value == 2 || data.value == 3){
				$(".dm").hide();
				$(".dm").find(":input").attr("disabled", true);   
			}
			
			// 5.11:选中少数量的时候隐藏所有的【烫金】工艺
			if(couponKind == '少数量'){
				$(".tj").hide();
				$(".tj").find(":input").attr("disabled", true);   
			}else{
				$(".tj").show();
				$(".tj").find(":input").attr("disabled", false);  	
			}
			// 常规种类，隐藏【烫金】工艺
			if(data.value == 1){
				$(".tj").hide();
				$(".tj").find(":input").attr("disabled", true);   
			}
			
			form.render('checkbox');
			
			
			var kind = $('input[name="kind"]:checked').val()
			var proTypeValue = $("#proTypeValue").val()
			// 用于轮播图的proTypeValue
			if(kind == 8){
				proTypeValue = 25
			}else{
				proTypeValue = 4
			}
			//kind != 1 && kind != 2 && kind != 3 && 
			if(couponKind != "少数量" && kind != 6){
				// 轮播图
				var html   = " ";
				var remark = " ";
				// 清空轮播图
				$("#carousel").empty();
				$("#remark").empty();
				$.ajax({
					url:"${pageContext.request.contextPath}/getImgs",
					type:"GET",
					data:{
						proTypeValue : proTypeValue,
						kindValue 	 : kind
					},
					//dataType : "json",
					success : function(result) {
						for (let i = 0; i < result.length; i++) {
							// 只留一个remark
							remark = "";
							html += '<div><img style="width:'+result[0].imgWidth+'px" src="' +result[i].imgUrl+ '"></div>';
							remark += '<div><span>' +result[i].remark+ '<span/></div>';
					    }  
						$("#carousel").append(html);
						// 如果没有说明，就不显示null
						if(remark.indexOf("null") < 0){
							$("#remark").append(remark);
						}
						// 如果没有轮播图就隐藏
						if(result.length == 0){
							document.getElementById("test1").style.display = "none";   //隐藏
						}else{
							document.getElementById("test1").style.display = "block";  //显示
							ins.reload({
								elem: '#test1', 
								width: result[0].imgWidth,  //设置容器宽度
						        height: result[0].imgHeight
				            });
						}
					}
				});
			}else{
				document.getElementById("test1").style.display = "none";   //隐藏
			}
			// 少数量展示kindValue2，隐藏kindValue、kindValue3、kindValue4
			// 上面的else 已经有这个效果了
			if(couponKind == "少数量"){
				$(".kindValue2").show();
				$(".kindValue2").attr("disabled", false);
				$(".kindValue").hide();
				$(".kindValue").attr("disabled", true);
				$(".kindValue3").hide();
				$(".kindValue3").attr("disabled", true);
				$(".kindValue4").hide();
				$(".kindValue4").attr("disabled", true);
				// 少数量隐藏常规的工艺
				$(".lessCountHideCraft").show();
				$(".lessCountHideCraft").find(":input").attr("disabled", false);
				$(".normalCountHideCraft").hide();
				$(".normalCountHideCraft").find(":input").attr("disabled", true);
				if(data.value == '异形卡片'){
					$(".specialCraft").attr("disabled", true);
					$('input[class = specialCraft]').prop('checked', false);
				}
				if(data.value == "直角卡片"){
					$(".specialCraft").attr("disabled", true);
					$('input[class = specialCraft]').prop('checked', false);
				}
				if(data.value == "婚礼卡"){
					$(".zhijiaoCard").show();
					$('input[class = zhijiaoCraft]').prop('checked', true);
				}else{
					$(".zhijiaoCard").hide();
					$('input[class = zhijiaoCraft]').prop('checked', false);
				}
				form.render('checkbox');
			}else{
				$(".lessCountHideCraft").hide();
				$(".lessCountHideCraft").find(":input").attr("disabled", true);
			}
		});

		// 监听吊牌材质
		form.on('radio(kindValue3)', function(tagData) {
			// !300克铜版纸
			if(tagData.value != 3){
				$(".tagOther").hide();
				$(".tagOther").find(":input").attr("disabled", true);  
				$("#tag").show();
				$("#tag").find(":input").attr("disabled", false);  
			}else{
				$(".tagOther").show();
				$(".tagOther").find(":input").attr("disabled", false);  
				$("#tag").hide();
				$("#tag").find(":input").attr("disabled", true);  
			}
			form.render();
		})
		// 监听名片材质
		form.on('radio(kindValue4)', function(specialCardData) {
			// !300克铜版纸
			if(specialCardData.value != 3){
				$(".tagOther").hide();
				$(".tagOther").find(":input").attr("disabled", true);  
				$("#specialCard").show();
				$("#specialCard").find(":input").attr("disabled", false);  
				form.on('select(kindValueSelect)', function(data) {
					// 轮播图
					var html   = " ";
					var remark = " ";
					// 清空轮播图
					$("#carousel").empty();
					$("#remark").empty();
					$.ajax({
						url:"${pageContext.request.contextPath}/getImgs",
						type:"GET",
						data:{
							proTypeValue : "4",
							kindValue 	 : "6",
							kind2Value	 : data.value
						},
						//dataType : "json",
						success : function(result) {
							for (let i = 0; i < result.length; i++) {
								// 只留一个remark
								remark = "";
								html += '<div><img style="width:'+result[0].imgWidth+'px" src="' +result[i].imgUrl+ '"></div>';
								remark += '<div><span>' +result[i].remark+ '<span/></div>';
						    }  
							$("#carousel").append(html);
							// 如果没有说明，就不显示null
							if(remark.indexOf("null") < 0){
								$("#remark").append(remark);
							}
							// 如果没有轮播图就隐藏
							if(result.length == 0){
								document.getElementById("test1").style.display = "none";   //隐藏
							}else{
								document.getElementById("test1").style.display = "block";  //显示
								ins.reload({
									elem: '#test1', 
									width: result[0].imgWidth,  //设置容器宽度
							        height: result[0].imgHeight
					            });
							}
						}
					});
					
					
					if(data.value.length <= 4){
						$("#noCraft").show();
						$("#hasCraft").hide();
						$("#noCraft").find(":input").attr("disabled", false);
						$("#hasCraft").find(":input").attr("disabled", true);
						$('.noCraft').removeAttr('disabled');
						$('.hasCraft').prop('disabled', 'disabled'); 
					}else{
						$("#hasCraft").show();
						$("#noCraft").hide();
						$("#hasCraft").find(":input").attr("disabled", false);
						$("#noCraft").find(":input").attr("disabled", true);
						$('.hasCraft').removeAttr('disabled');
						$('.noCraft').prop('disabled', 'disabled'); 
					}
					form.render();
				})
			}else{
				$(".tagOther").show();
				$(".tagOther").find(":input").attr("disabled", false);  
				$("#specialCard").hide();
				$("#specialCard").find(":input").attr("disabled", true);  
			}
			form.render();
		})
		
		// 自定义少数量
		form.on('checkbox(switchCount)', function(data) {
			if(data.elem.checked){
				$(".diyCount").show();
				$(".count").hide();
				$(".diyCount").find(":input").attr("disabled", false);
				$(".count").find(":input").attr("disabled", true);		
			} else {
				$(".count").show();
				$(".diyCount").hide();
				$(".count").find(":input").attr("disabled", false);
				$(".diyCount").find(":input").attr("disabled", true);
				// 恢复标准数量的时候会被禁用，加这个解决
				form.render();
			}
		})
		
		// 吊牌600克/800克自定义尺寸
		form.on('checkbox(switchSize)', function(data) {
			if(data.elem.checked){
				$(".diySize").show();
				$(".fixedSize").hide();
				$(".diySize").find(":input").attr("d	isabled", false);
				$(".fixedSize").find(":input").attr("disabled", true);		
			} else {
				$(".fixedSize").show();
				$(".diySize").hide();
				$(".fixedSize").find(":input").attr("disabled", false);
				$(".diySize").find(":input").attr("disabled", true);
				// 恢复标准数量的时候会被禁用，加这个解决
				form.render();
			}
		})
		
		// 监听工艺多选框
		form.on('checkbox(switchMQ)', function(data) {
			var kind = $('input[name="kind"]:checked').val();
			//判断当前多选框是选中还是取消选中
			if(kind != 7){
				// 除存酒卡
				if (data.elem.checked && data.value == '模切') {
					// 选中模切时取消除烫金外的选中并禁用工艺
					$('input[class = disab]').prop('checked', false);
					$(".disab").attr("disabled", true);
				} else if (!data.elem.checked && data.value == '模切') {//放开模切的时候数量变成1
					$(".disab").attr("disabled", false);
					$('input[class = disab]').prop('checked');
					$(".yahen").val(1)
					$(".yadianxian").val(1)
					$(".dakong").val(1)
					form.render('select');
				}
			}else{
				// 存酒卡
				if (data.elem.checked && data.value == '模切') {
					// 选中模切后取消除烫金、打码外的选中并禁用工艺
					$('input[class = cjkDisab]').prop('checked', false);
					$(".cjkDisab").attr("disabled", true);
				} else if (!data.elem.checked && data.value == '模切') {//放开模切的时候数量变成1
					$(".cjkDisab").attr("disabled", false);
					$('input[class = cjkDisab]').prop('checked');
					$(".yahen").val(1)
					$(".yadianxian").val(1)
					$(".dakong").val(1)
					form.render('select');
				}
			}
			form.render('checkbox');
		});
		
		// 选中工艺的时候，才显示出对应下拉框
		form.on('checkbox(switch)', function(data) {
			// 四个只能选俩个
			var len = $(".max:checked").length;
			if (len > 2) {
				$(data.elem).next().attr("class","layui-unselect layui-form-checkbox");
				$(data.elem).prop("checked", false);
				layer.msg('这一排最多只能选2项！', {offset : [ '300px', '300px' ]}, {icon : 5});
				return false;
			}
			// 压痕压点线只能选一个
			var yaLen = $(".ya:checked").length;
			if (yaLen > 1) {
				$(data.elem).next().attr("class","layui-unselect layui-form-checkbox");
				$(data.elem).prop("checked", false);
				layer.msg('[压痕 - 压点线]不能同时选择！', {offset : [ '300px', '300px' ]}, {icon : 5});
				return false;
			}
			// 单面/双面烫金只能选一个
			var tangjin = $(".tangjin:checked").length;
			if (tangjin > 1) {
				$(data.elem).next().attr("class","layui-unselect layui-form-checkbox");
				$(data.elem).prop("checked", false);
				layer.msg('[单面烫金 - 双面烫金]不能同时选择！', {offset : [ '300px', '300px' ]}, {icon : 5});
				return false;
			}
			// 产品品种
			var kind = $('input[name="kind"]:checked').val();
			
			// 腰封4*4cm内无法选择【单面覆膜】工艺
			/* if (data.value == '单面覆膜') {
				if(data.elem.checked){
					if (($("#size").val().split("*")[0] < 4 || $("#size").val().split("*")[1] < 4)) {
						layer.msg("[ 腰封 ] 尺寸小于4 cm无法 [ 单面覆膜 ]",{offset:['300px','300px']},function(){});
						$('input[class = fm]').prop('checked', false);
						form.render('checkbox');
						return false;
					}
				}
			} */
			
			// 打码选中的时候，显示数量下拉框、编码类型、并把数量置为1（4/28改,原来只有存酒卡才显示）
			if (data.value == '打码') {
				if(data.elem.checked){
					$(".bmType").show();
					$(".damaHide").show();
					$(".dama").val(1);
					form.render('select');
				}else{
					// 打码取消选中的时候，隐藏下拉框、编码类型
					$(".bianma").hide();
					$(".bmType").hide();
					$(".damaHide").hide();
				}
			}
			// 除存酒卡
			if(kind != 7){
				// 压痕数量是2的时候，切换成模切，禁用其它
				if (data.value == '压痕') {
					if(data.elem.checked){
						$(".yahenHide").show();
						if ($(".yahen").val() == 2) {
							$('input[class = disab]').prop('checked', false);
							$(".disab").attr("disabled", true);
							$('input[class = mq]').prop('checked', true);
						}
					}else{
						$(".yahenHide").hide();
					}
				}
				// 压点线数量是2的时候，切换成模切，禁用其它
				if (data.value == '压点线') {
					if(data.elem.checked){
						$(".yadianxianHide").show();
						if ($(".yadianxian").val() == 2) {
							$('input[class = disab]').prop('checked', false);
							$(".disab").attr("disabled", true);
							$('input[class = mq]').prop('checked', true);
						}
					}else{
						$(".yadianxianHide").hide();
					}
				}
				// 打孔数量是2的时候，切换成模切，禁用其它
				if (data.value == '打孔') {
					if(data.elem.checked){
						$(".dakongHide").show();
						if ($(".dakong").val() == 2) {
							$('input[class = disab]').prop('checked', false);
							$(".disab").attr("disabled", true);
							$('input[class = mq]').prop('checked', true);
						}
					}else{
						$(".dakongHide").hide();
					}
				}
				// 打码选中的时候，显示下拉框（4/28注释）
				/* if (data.value == '打码') {
					if(data.elem.checked){
						$(".damaHide").show();
					}else{
						$(".damaHide").hide();
					}
				} */
			}else{
				// 存酒卡
				// 压痕数量是2的时候，切换成模切，禁用第一排
				if (data.value == '压痕') {
					if(data.elem.checked){
						$(".yahenHide").show();
						if ($(".yahen").val() == 2) {
							$('input[class = cjkDisab]').prop('checked', false);
							$(".cjkDisab").attr("disabled", true);
							$('input[class = mq]').prop('checked', true);
						}
					}else{
						$(".yahenHide").hide();
					}
				}
				// 压点线数量是2的时候，切换成模切，禁用其它
				if (data.value == '压点线') {
					if(data.elem.checked){
						$(".yadianxianHide").show();
						if ($(".yadianxian").val() == 2) {
							$('input[class = cjkDisab]').prop('checked', false);
							$(".cjkDisab").attr("disabled", true);
							$('input[class = mq]').prop('checked', true);
						}
					}else{
						$(".yadianxianHide").hide();
					}
					
				}
				// 打孔数量是2的时候，切换成模切，禁用其它
				if (data.value == '打孔') {
					if(data.elem.checked){
						$(".dakongHide").show();
						if ($(".dakong").val() == 2) {
							$('input[class = cjkDisab]').prop('checked', false);
							$(".cjkDisab").attr("disabled", true);
							$('input[class = mq]').prop('checked', true);
						}
					}else{
						$(".dakongHide").hide();
					}
				}
				
				// 存酒卡打码（4/28注释）
				/* if (data.value == '打码') {
					// 打码选中的时候，显示数量下拉框、编码类型、并把数量置为1
					if(data.elem.checked){
						$(".bmType").show();
						$(".damaHide").show();
						$(".dama").val(1);
						form.render('select');
					}else{
						// 打码取消选中的时候，隐藏下拉框、编码类型
						$(".bianma").hide();
						$(".bmType").hide();
						$(".damaHide").hide();
					}
				} */
			}
			form.render('checkbox');
		});
		
		// 婚礼卡选中工艺的时候，不能同时选
		form.on('checkbox(switchCraft)', function(data) {
			// 婚礼卡 直角/异形只能选一个
			var zhijiaoCraft = $(".zhijiaoCraft:checked").length;
			var specialCraft = $(".specialCraft:checked").length;
			if (zhijiaoCraft + specialCraft > 1) {
				$(data.elem).next().attr("class","layui-unselect layui-form-checkbox");
				$(data.elem).prop("checked", false);
				layer.msg('[直角 - 异形]不能同时选择！', {offset : [ '300px', '300px' ]}, {icon : 5});
				return false;
			}
		})

		// 监听下拉框,数量是2的时候，切换成模切，禁用其它
		form.on('select(yahen)', function(data) {
			var kind = $('input[name="kind"]:checked').val();
			// 除存酒卡
			if(kind != 7){
				if (data.value == 2) {
					if ($(".yh").is(':checked')) {
						$('input[class = disab]').prop('checked', false);
						$(".disab").attr("disabled", true);
						$('input[class = mq]').prop('checked', true);
					}
				}
			}else{
				// 存酒卡
				// 数量是2的时候，切换成模切，禁用第一排
				if (data.value == 2) {
					if ($(".yh").is(':checked')) {
						$('input[class = cjkDisab]').prop('checked', false);
						$(".cjkDisab").attr("disabled", true);
						$('input[class = mq]').prop('checked', true);
					}
				}
			}
			form.render('checkbox');
		});
		form.on('select(yadianxian)', function(data) {
			var kind = $('input[name="kind"]:checked').val();
			// 除存酒卡
			if(kind != 7){
				if (data.value == 2) {
					if ($(".ydx").is(':checked')) {
						$('input[class = disab]').prop('checked', false);
						$(".disab").attr("disabled", true);
						$('input[class = mq]').prop('checked', true);
					}
				}
			}else{
				// 存酒卡
				// 数量是2的时候，切换成模切，禁用第一排
				if (data.value == 2) {
					if ($(".ydx").is(':checked')) {
						$('input[class = cjkDisab]').prop('checked', false);
						$(".cjkDisab").attr("disabled", true);
						$('input[class = mq]').prop('checked', true);
					}
				}
			}
			form.render('checkbox');
		});
		form.on('select(dakong)', function(data) {
			var kind = $('input[name="kind"]:checked').val();
			// 除存酒卡
			if(kind != 7){
				if (data.value == 2) {
					if ($(".dk").is(':checked')) {
						$('input[class = disab]').prop('checked', false);
						$(".disab").attr("disabled", true);
						$('input[class = mq]').prop('checked', true);
					}
				}
			}else{
				// 存酒卡
				// 数量是2的时候，切换成模切，禁用第一排
				if (data.value == 2) {
					if ($(".dk").is(':checked')) {
						$('input[class = cjkDisab]').prop('checked', false);
						$(".cjkDisab").attr("disabled", true);
						$('input[class = mq]').prop('checked', true);
					}
				}
			}
			form.render('checkbox');
		});
		// 监听打码下拉框，当选择存酒卡-打码-数量2的时候，显示编码下拉框
		form.on('select(dama)', function(data) {
			var kind = $('input[name="kind"]:checked').val();
			// 存酒卡选择打码数量2的时候，显示编码种类（4/28改为所有产品）
			if(kind == 7){
				
			}
			// 选择打码数量2的时候，显示编码种类，并取消禁用（上面有禁用操作）(4/28)
			if (data.value == 2) {
				$(".bianma").show();
				$(".bianma").find(":input").attr("disabled", false);   
			}else{
				$(".bianma").hide();
				$(".bianma").find(":input").attr("disabled", true);   
			}	
			form.render('select');
		});

		//点击计算，计算价格
		form.on('submit(acount_btn)', function(data) {
			/* var wangwang = $("#wangwang").val();
			if(wangwang == ""){
				layer.msg("请填写客户旺旺号！",{offset:['300px','300px']},function(){});
				return false;
			} */
			// 选中‘自定义数量’
			if($('input[name="switchCount"]:checked').length != 0){
				if ($("#count").val() < 10000 || $("#count").val()%1000 != 0) {
					layer.msg("自定义数量需要大于10000 且是1000的整数倍",{offset:['300px','300px']},function(){});
					return false;
				}
			}
			
			var kind = $('input[name="kind"]:checked').val()
			var kindValue = $('input[name="kindValue"]:checked').val()
			// 如果是吊牌，用kind3Value
			if(kind == 2 && couponKind != '少数量'){
				kindValue = $('input[name="kind3Value"]:checked').val()
				if(!kindValue){
					layer.msg("请选择材质",{offset:['300px','300px']},function(){});
					return false;
				}
			}
			// 如果是名片，用kind4Value
			if(kind == 6 && couponKind != '少数量'){
				kindValue = $('input[name="kind4Value"]:checked').val()
				if(!kindValue){
					layer.msg("请选择材质",{offset:['300px','300px']},function(){});
					return false;
				}
			}
			var kindValue2 = $('input[name="kindValue2"]:checked').val()
			var kindValue3 = $('input[name="kindValue3"]:checked').val()
			var kindValue4 = $('input[name="kind4Value"]:checked').val()
			var number = $("#number").val();
			var size = $("#size").val();
			if ((size.split("*")[0] > 140 || size.split("*")[1] > 100) && (size.split("*")[0] > 100 || size.split("*")[1] > 140)) {
				layer.msg("卡片尺寸不能超过140*100 cm",{offset:['300px','300px']},function(){});
				return false;
			}
			/* if ((size.split("*")[0] < 4 || size.split("*")[1] < 4)) {
				layer.msg("[ 卡片 ]尺寸小于4*4 cm请以 [ 插卡 - 异形插牌 ] 报价!",{offset:['300px','300px']},function(){});
				return false;
			} */
			var kindData = {
				0 : "吊旗",
				1 : "腰封",
				2 : "吊牌",
				3 : "贺卡",
				4 : "优惠券",
				5 : "抽奖券",
				6 : "特价名片",
				7 : "存酒卡",
				8 : "门挂牌",
				"直角卡片" : "直角卡片",
				"异形卡片" : "异形卡片",
				"腰封"	: "腰封",
				"贺卡"	: "贺卡",
				"积分卡"	: "积分卡",
				"抽奖卡"	: "抽奖卡",
				"婚礼卡"	: "婚礼卡"
			}, kindValueData = {
				0 : "157克铜版纸",
				1 : "200克铜版纸",
				2 : "300克铜版纸",
				3 : "300克铜版纸",
				4 : "600克铜版纸",
				5 : "800克铜版纸",
				6 : "特种纸名片（不配绳子）"
			};
			var arr = [];
			$(".sizeTang").find(":input").attr("disabled", true);
			$("input:checkbox[name='craft']:checked").each(function(i) {
				// 没有被禁用的工艺加到arr中
				if(!$(this).is(':disabled')){
					// 选中编码工艺的时候，展示打码数
					if($(this).val() === '打码'){
						if($(".dama").val() == 2){
							arr.push($(this).val() + '(' + $(".dama").val() + '组,' + $(".bianmaSelect").val() +')');
						}else{
							arr.push($(this).val() + '(' + $(".dama").val() + '组)');
						}
					}else{
						arr.push($(this).val());
					}
					
					if($(this).val() === '单面烫金' || $(this).val() === '双面烫金'){
						$(".sizeTang").find(":input").attr("disabled", false); 
						if($("#lengthTang").val() == '' || $("#widthTang").val() == ''){
							layer.msg('请填写烫金版尺寸！',{offset:['300px','300px']},function(){});
							return false;
						}
					}
				}
			});
			console.log('-----选中的值-----', arr);
			
			// 未满足条件，禁止提交
			if (kind == null) {
				layer.msg('请选择品种！', {offset : [ '300px', '300px' ]}, function() {});
				return false;
			}
			if (kind == 0 || kind == 1) {
				if (kindValue == null) {
					layer.msg('请选择材质！', {offset : [ '300px', '300px' ]}, function() {});
					return false;
				}
			}
			if(kind != 8 && kind != 2 && kind != 6){
				if (size == "") {
					layer.msg('请填写尺寸！', {offset : [ '300px', '300px' ]}, function() {});
					return false;
				}
			}
			// 腰封尺寸小于 4 cm无法 单面覆膜 
			/* if(kind == 1){
				if ((size.split("*")[0] < 4 || size.split("*")[1] < 4)) {
					for (let i = 0; i < arr.length; i++) {
						if(arr[i] === '单面覆膜'){
							layer.msg("[ 腰封 ] 尺寸小于 4 cm无法 [ 单面覆膜 ]",{offset:['300px','300px']},function(){});
							return false;
						}
					} 
				}	
			} */
			
			// 选中[打码]工艺，判断尺寸:9*5以内不能打码;12.5*5以内，只能打 1 组码;打2组码不能超过26*11;
			if(arr.length > 0){
				for (let i = 0; i < arr.length; i++) {
					if(arr[i].indexOf('打码') != -1){
						if ((size.split("*")[0] < 9 || size.split("*")[1] < 5) && (size.split("*")[0] < 5 || size.split("*")[1] < 9)) {
							layer.msg("尺寸小于9 * 5cm 无法【打码】",{offset:['300px','300px']},function(){});
							return false;
						}else if(((size.split("*")[0] < 12.5 || size.split("*")[1] < 5) && (size.split("*")[0] < 5 || size.split("*")[1] < 12.5)) 
								&& $(".dama").val() == 2){
							layer.msg("尺寸小于12.5cm 无法【打码】 2 组",{offset:['300px','300px']},function(){});
							return false;
						}else if ((size.split("*")[0] > 26 || size.split("*")[1] > 11) && (size.split("*")[0] > 11 || size.split("*")[1] > 26)){
							layer.msg("尺寸大于26 * 11cm 无法【打码】",{offset:['300px','300px']},function(){});
							return false;
						} 
					}
				} 
			}
			
			// 吊旗
			if (kind == 0) {
				// 吊旗  && 300克铜版纸
				if (kindValue == 2) {
					$("#proTypeValue").val(4)
				} else {
					$("#proTypeValue").val(13)
				}
			} else if (kind == 1) { // 腰封
				// 腰封&&300克铜版纸
				if (kindValue == 2) {
					$("#proTypeValue").val(4)
				} else {
					$("#proTypeValue").val(15)
				}
				if ((size.split("*")[0] < 4 || size.split("*")[1] < 4) && arr[0] !== '模切') {
					if (kindValue == 0) {
						layer.msg("[ 157克铜版纸 ] 尺寸小于 4cm 无法制作", {offset : [ '300px', '300px' ]}, function() {});
						return false;
					}
					/* else if (kindValue == 1) {
						layer.msg("尺寸小于 4cm 请勾选 [ 模切 ]", {offset : [ '300px', '300px' ]}, function() {});
						return false;
					}  */
				}
			} else if (kind == 6) {
				$("#proTypeValue").val("特价名片")
			} else if (kind != 0 && kind != 1) {
				$("#proTypeValue").val(4)
			}
			
			// 判断是否选中模切标识
			var flag = false;
			if ((size.split("*")[0] < 4 || size.split("*")[1] < 4)) {
				if(arr.length > 0){
					for (let i = 0; i < arr.length; i++) {
						if(arr[i] === '模切'){
							flag = true
						}
					} 
				}else{
					flag = false
				}
				// 判断存酒卡是否选中模切标识
				if(kind == 7){	
					if(!flag){
						layer.msg("[ 卡片 - 存酒卡 ]尺寸小于 4cm 请勾选 [ 模切 ]", {offset : [ '300px', '300px' ]}, function() {});
						return false;
					}
				}
			}	
			// 判断是否选中[异形]标识
			var yxFlag = false;
			if((size.split("*")[0] > 70 || size.split("*")[1] > 53) && (size.split("*")[0] > 53 || size.split("*")[1] > 70)) {
				if(arr.length > 0){
					for (let i = 0; i < arr.length; i++) {
						if(arr[i] === '异形'){
							yxFlag = true
						}
					} 
				}else{
					yxFlag = false
				}
				// 选中异形、尺寸大于70*53厘米，return
				if(yxFlag){
					layer.msg("选择[ 异形 ]时 尺寸应小于70*53cm", {offset : [ '300px', '300px' ]}, function() {});
					return false;
				}
			}
			
			if(kind != 7 && kind != 8){
				if ((size.split("*")[0] <= 9 && size.split("*")[1] <= 5.4) || (size.split("*")[0] <= 5.4 && size.split("*")[1] <= 9)) {
					if ((size.split("*")[0] < 4 || size.split("*")[1] < 4)) {
						layer.msg("[ 卡片 ]9*5.4 cm以内,尺寸小于4 cm请以 [ 插卡 - 异形插牌 ] 报价!",{offset:['300px','300px']},function(){});
						return false;
					}
				}else{
					//吊牌300克
					if(kindValue3 == 2){
						if ((size.split("*")[0] < 4 || size.split("*")[1] < 4)) {// && arr[0] !== '模切'
							if(!flag){
								layer.msg("尺寸小于 4cm 请勾选 [ 模切 ]", {offset : [ '300px', '300px' ]}, function() {});
								return false;
							}
						}
					}
				}
			}
			// 选择了少数量
			if (couponKind == '少数量') {
				$("#proTypeValue").val("卡片少数量")
				$("#proTypeLabel").val(kindData[kind])
				if(kind != "异形卡片"){
					if((size.split("*")[0] > 70 || size.split("*")[1] > 70)) {
						if($("#count").val() != 1 && $("#count").val() != 5 && $("#count").val() % 10 != 0){
							layer.msg("该尺寸数量必须为1；5；或 10的倍数",{offset:['300px','300px']},function(){});
							return false;
						}
					}
					if((size.split("*")[0] > 72.6 || size.split("*")[1] > 52.6) && (size.split("*")[0] > 52.6 || size.split("*")[1] > 72.6)) {
						layer.msg("少数量尺寸不能超过 72.6*52.6 cm",{offset:['300px','300px']},function(){});
						return false;
					}
				}else{
					if((size.split("*")[0] > 70 || size.split("*")[1] > 53) && (size.split("*")[0] > 53 || size.split("*")[1] > 70)) {
						layer.msg("【异形卡片】尺寸不能超过 70*53 cm",{offset:['300px','300px']},function(){});
						return false;
					}
				}
				// 选择少数量时，取消常规数量提交
				$("#selectCount").val("")
			}
			
			// 门挂牌
			if(kind == 8){
				$("#proTypeValueDoorList").val(25)
			}
			// 吊旗&&300克铜版纸
			if (kind == 0 && kindValue == 2) {
				$("#d").val("13")
			} else if (kind == 1 && kindValue == 2) {
				$("#d").val("15")
			} else {
				$("#d").val("")
			}
			form.render();

			// 300克铜版纸
			if (kind != 0 && kind != 1 && kind != 2 && kind != 6) {
				kindValue = 2
			}
			if(kind == 2 && couponKind == '少数量'){
				kindValue = 2
			}
			
			//少数量没有工艺
			//没选中[模切]，设置工艺为“直角裁切”
			if(couponKind != '少数量'){
				var mqFlag = false;
				if(arr.length > 0){
					for (let i = 0; i < arr.length; i++) {
						if(arr[i] === '模切' || arr[i] === '圆角'){
							mqFlag = true
						}
					} 
					if(!mqFlag){
						arr.push("直角裁切")
					}
				}else{
					//门挂牌
					if(kind == 8){
						arr.push("固定形状")
					}else{
						arr.push("直角裁切")
					}
				}
			
				// 没选中[覆膜]工艺，设置工艺为“不覆膜”
				var fmFlag = false;
				if(arr.length > 0){
					for (let i = 0; i < arr.length; i++) {
						if(arr[i].indexOf('覆') != -1){
							fmFlag = true
						}
					} 
					if(!fmFlag){
						arr.push("不覆膜")
					}
				}else{
					arr.push("不覆膜")
				}
			}
			if($("#countTag").val() > 10000){
				layer.msg("[ 吊牌600克 ] 数量大于1万 请单独报价", {offset : [ '300px', '300px' ]}, function() {});
				return false;	
			}
			$.ajax({
				url : "${pageContext.request.contextPath}/getThanSum",
				type : "GET",
				data : $(".big_box form").serialize(),
				success : function(result) {
					if (result.code == 100) {
						layer.msg(result.msg, {offset : [ '300px', '300px' ]}, function() {});
						return false;
					}
					
					// 特种纸名片材料
					var kindValueSelect;
					// 吊牌 && !少数量
					if(kind == 2 && couponKind != '少数量'){
						// 600/800克
						if($('input[name="kind3Value"]:checked').val() != 3){
							// 自定义尺寸和常规尺寸
							if($('input[name="switchSize"]:checked').length == 0){
								var size1 = $(".size1").val();
								size   = $("#diySize").val();
								if(size1){
									size = size + '厘米，' + size1
								}
								if ((size.split("*")[0] < 4 || size.split("*")[1] < 4)) {
									layer.msg("[ 吊牌600克 ] 尺寸小于 4cm 请单独报价", {offset : [ '300px', '300px' ]}, function() {});
									return false;
								}
							}else{
								size = $("#sizeTag option:checked").text();
							}
							number = $("#numberTag").val();
							arr = []
							arr = $('input[name="kind2Value"]:checked').val();
						}
					}else if(kind == 6 && kindValue4 == "6"){
						size   = $(".sizeSpecialCard").val();
						if ((size.split("*")[0] < 5 || size.split("*")[1] < 4) && (size.split("*")[0] < 4 || size.split("*")[1] < 5)) {
							layer.msg("【特种纸名片】尺寸不能小于5*4 cm",{offset:['300px','300px']},function(){});
							return false;
						}
						number = $(".numberSpecialCard").val();
						arr = []
						$("input:checkbox[name='craft']:checked").each(function(i) {
							if(!$(this).is(':disabled')){
								arr.push($(this).val());
							}
						});
						kindValueSelect = $(".kindValueSelect option:checked").text();
					}else if(kind == 8){
						size   = $("#sizeDoorList").val();
						number = $("#numberDoorList").val();
					}
					if(!kindValueSelect){
						kindValueSelect = ""
					}
					if(kindValueData[kindValue] == "300克铜版纸"){
						if ((size.split("*")[0] > 100 || size.split("*")[1] > 65) && (size.split("*")[0] > 65 || size.split("*")[1] > 100)) {
							layer.msg("[300克铜版纸]尺寸不能超过100*65 cm",{offset:['300px','300px']},function(){});
							return false;
						}
					}
					if(kindData[kind] == "特价名片" && kindValueData[kindValue] == "300克铜版纸"){
						if ((size.split("*")[0] < 3 || size.split("*")[1] < 3)) {
							layer.msg("[特价名片]尺寸不能小于3 cm",{offset:['300px','300px']},function(){});
							return false;
						}
						if ((size.split("*")[0] > 9 || size.split("*")[1] > 5.4) && (size.split("*")[0] > 5.4 || size.split("*")[1] > 9)) {
							layer.msg("[特价名片]尺寸不能超过9*5.4 cm",{offset:['300px','300px']},function(){});
							return false;
						}
					}
					
					var data = result.data.proList;
					var span_result = kindData[kind] + " -"+ kindValueData[kindValue] + "-" + kindValueSelect + "-" + size
							+ "厘米 -(同款内容) \n" + "工艺 :"+ arr + "\n"
					if(number > 1){
						for (let i = 0; i < data.length; i++) {
							span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
							data[i].number = number;
						}   
					}else{
						for (let i = 0; i < data.length; i++) {
							span_result += number + '款 ' + data[i].count + "个，共" + data[i].price + "元" + '\n'
							data[i].number = number;
						}   
					};
					if(kind  == "2"){
						span_result += '配送吊绳\n'
					}
					span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                        if(window.parent.system_isGai){
                            span_result +="\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                        }
					addLog(span_result);
                    $("#span_result").val(span_result);

					//计算完自动复制文本
					var e = document.getElementById("span_result");//对象是content
					if (e.value != "") {
						e.select();//选择对象
						document.execCommand("Copy");//执行浏览器复制命令
					}
					
					//生成表格
					table.render({
						elem : '#priceTable',
						even : true, //隔行变色
						data : data, // 赋值已知数据
						width : 500,
						cols : [ [ 
							{
								field : 'number',
								width : '12%',
								align : "center",
								title : '款数'
							},{
								field : 'count',
								width : '16%',
								align : "center",
								title : '数量'
							},{
								field : 'price',
								width : '16%',
								align : "center",
								title : '报价'
							},{
								field : 'wangwang',
								align : "center",
								width : '16%',
								title : '折扣价'
							},{
								field : 'wangwang',
								align : "center",
								width : '19%',
								title : '跳楼价'
							},{
								field : 'weight',
								width : '21%',
								align : "center",
								title : '重量（kg）'
							}
						] ],
						done: function () {
			            }
					});
				}
			});
			return false;
		});
	});
</script>
</html>